Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class UnixFileParser

    java.lang.Object
      com.enterprisedt.net.ftp.FTPFileParser
          com.enterprisedt.net.ftp.UnixFileParser

    public class UnixFileParser

extends FTPFileParser

Represents a remote Unix file parser

Version:
  $Revision: 1.23 $
Author:
  Bruce Blackshaw

Field Summary
`static java.lang.String` | `cvsId` Revision control id

Fields inherited from class com.enterprisedt.net.ftp.FTPFileParser
`ignoreDateParseErrors`

Constructor Summary
`UnixFileParser()` Constructor

Method Summary
`static boolean` | `isUnix(java.lang.String raw)` Is this a Unix format listing?
`boolean` | `isValidFormat(java.lang.String[] listing)` Valid format for this parser
`FTPFile` | `parse(java.lang.String raw)` Parse server supplied string, e.g.: lrwxrwxrwx 1 wuftpd wuftpd 14 Jul 22 2002 MIRRORS -> README-MIRRORS -rw-r--r-- 1 b173771 users 431 Mar 31 20:04 .htaccess
`void` | `setLocale(java.util.Locale locale)` Set the locale for date parsing of listings
`java.lang.String` | `toString()`

Methods inherited from class com.enterprisedt.net.ftp.FTPFileParser
`isMultiLine, setIgnoreDateParseErrors, split, split, split, trimStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cvsId

    public static final java.lang.String cvsId

  Revision control id

  See Also:
    Constant Field Values

Constructor Detail

### UnixFileParser

    public UnixFileParser()

  Constructor

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the locale for date parsing of listings

  Specified by:
    `setLocale` in class `FTPFileParser`
  Parameters:
    `locale` - locale to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isValidFormat

    public boolean isValidFormat(java.lang.String[] listing)

  Valid format for this parser

  Overrides:
    `isValidFormat` in class `FTPFileParser`
  Parameters:
    `listing` -
  Returns:
    true if valid

### isUnix

    public static boolean isUnix(java.lang.String raw)

  Is this a Unix format listing?

  Parameters:
    `raw` - raw listing line
  Returns:
    true if Unix, false otherwise

### parse

    public FTPFile parse(java.lang.String raw)
                  throws java.text.ParseException

  Parse server supplied string, e.g.: lrwxrwxrwx 1 wuftpd wuftpd 14 Jul 22 2002 MIRRORS -> README-MIRRORS -rw-r--r-- 1 b173771 users 431 Mar 31 20:04 .htaccess

  Specified by:
    `parse` in class `FTPFileParser`
  Parameters:
    `raw` - raw string to parse
  Throws:
    `java.text.ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.